unit Registry;

{ In Delphi 1, don't use the registry, but store the information
  in a .INI file. Use the TRegIniFile class the same way by
  stripping the registry path and adding the .INI file extension. }

{$ifndef WIN32}

interface

uses IniFiles;

type
  TRegIniFile = class(TIniFile)
  public
    constructor Create(const Filename: string);
  end;

implementation

uses SysUtils;

constructor TRegIniFile.Create(const Filename: string);
begin
  inherited Create(ChangeFileExt(ExtractFileName(Filename), '.ini'));
end;

{$endif}

end.
 